package com.yeejoin.amos.maintenance.business.param;

import java.util.Date;

import javax.persistence.Column;

import cn.afterturn.easypoi.excel.annotation.Excel;

public class PointImportParam {
	
	

	private Date createDate;

	
	
	/**
	 * 参考地址
	 */
	@Excel(name = "参考地址", orderNum = "5")
	private String address;

	/**
	 * 分类编号
	 */
	private Long catalogId;
	
	@Excel(name = "所属分类目录", orderNum = "12")
	private String catalogName;
	/**
	 * 3维坐标(x,y,z)
	 */
	@Excel(name = "3维地图坐标", orderNum = "6")
	private String coordinates;

	/**
	 * 创建用户id
	 */
	@Column(name="creator_id")
	private String creatorId;
	
	

	/**
	 * 楼层
	 */
	@Excel(name = "3维地图楼层", orderNum = "7")
	private Integer floor = 1;

//	/**
//	 * 扩展字段
//	 */
//	@Excel(name = "扩展属性", orderNum = "15")
//	private String extendJson;

	/**
	 * 定点拍照数
	 */
	private Integer fixedShot;

	/**
	 * 是否为固定点(1:固定点，0：移动点)
	 */
	@Excel(name = "是否为移动点", replace={"是_0", "否_1"}, orderNum = "2")
	private String isFixed = "1";

	/**
	 * 无计划巡检是否评分(is_score = 1评分,0不评分)
	 */
	@Excel(name = "计划外巡检是否评分", replace={"是_1", "否_0"}, orderNum = "3")
	private String isScore = "0";

	/**
	 * 最新更新时间
	 */
	private Date lastUpdateTime;

//	/**
//	 * 经度
//	 */
//	@Excel(name = "经度坐标", orderNum = "5")
//	private String latitude;

	/**
	 * 风险等级(1:一级，2：二级，3：三级，4：四级，5：五级)
	 */
	@Excel(name = "风险等级", replace={"一级_1", "二级_2", "三级_3", "四级_4", "五级_5"}, orderNum = "10")
	private String level = "1";


//	/**
//	 * 纬度
//	 */
//	@Excel(name = "纬度坐标", orderNum = "6")
//	private String longitude;

	
	/**
	 * 点名称
	 */
	@Excel(name = "点名称", orderNum = "1")
	private String name;

	/**
	 * 是否允许离线巡检
	 */
	@Excel(name = "是否允许离线巡检", replace={"是_1", "否_0"}, orderNum = "4")
	private String offline = "1";

	/**
	 * 权限系统org code
	 */
	private String orgCode;

	/**
	 * 点编号
	 */
	@Excel(name = "点编号", orderNum = "0")
	private String pointNo;

	/**
	 * 备注说明
	 */
	@Excel(name = "备注说明", orderNum = "11")
	private String remark;

	/**
	 * 路线id
	 */
	private String routeId;

	/**
	 * 路线名称
	 */

	private String routeName;

//	/**
//	 * 是否保存地理信(1:记录，0：不记录)
//	 */
//	@Excel(name = "是否记录地理位置", replace={"是_1", "否_0"}, orderNum = "3")
//	private String saveGps = "0";


	/**
	 * 最大拍照数
	 */
	@Excel(name = "最多拍照数量", orderNum = "9")
	private Integer shotMaxNumber;

	/**
	 * 最小拍照数
	 */
	@Excel(name = "最少拍照数量", orderNum = "8")
	private Integer shotMinNumber;

//	/**
//	 * 是否允许普通拍照(1：允许，0：不允许)
//	 */
//	private String usuallyShot = "1";

	/**
	 * 是否删除：0表示未删除，1表示已删除
	 */
	private boolean isDelete;
	
	/**
	 * 负责人id
	 */
	private String chargePersonId;
	
	@Excel(name = "检查项目", orderNum = "13")
	private String inputItems;
	
	@Excel(name = "是否室内",replace={"是_1", "否_0"}, orderNum = "14")
	private String isIndoor = "0";
	
	public String getIsIndoor() {
		return isIndoor;
	}

	public void setIsIndoor(String isIndoor) {
		this.isIndoor = isIndoor;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getInputItems() {
		return inputItems;
	}

	public void setInputItems(String inputItems) {
		this.inputItems = inputItems;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Long getCatalogId() {
		return this.catalogId;
	}

	public void setCatalogId(Long catalogId) {
		this.catalogId = catalogId;
	}

	public String getCoordinates() {
		return this.coordinates;
	}

	public void setCoordinates(String coordinates) {
		this.coordinates = coordinates;
	}

	public String getCreatorId() {
		return this.creatorId;
	}

	public void setCreatorId(String creatorId) {
		this.creatorId = creatorId;
	}

//	public Integer getDistance() {
//		return this.distance;
//	}
//
//	public void setDistance(Integer distance) {
//		this.distance = distance;
//	}
//
//	public String getExtendJson() {
//		return this.extendJson;
//	}
//
//	public void setExtendJson(String extendJson) {
//		this.extendJson = extendJson;
//	}

	public Integer getFixedShot() {
		return this.fixedShot;
	}

	public void setFixedShot(Integer fixedShot) {
		this.fixedShot = fixedShot;
	}

	public String getIsFixed() {
		return this.isFixed;
	}

	public void setIsFixed(String isFixed) {
		this.isFixed = isFixed;
	}

	public String getIsScore() {
		return this.isScore;
	}

	public void setIsScore(String isScore) {
		this.isScore = isScore;
	}

	public Date getLastUpdateTime() {
		return this.lastUpdateTime;
	}

	public void setLastUpdateTime(Date lastUpdateTime) {
		this.lastUpdateTime = lastUpdateTime;
	}

//	public String getLatitude() {
//		return this.latitude;
//	}
//
//	public void setLatitude(String latitude) {
//		this.latitude = latitude;
//	}

	public String getLevel() {
		return this.level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

//	public String getLongitude() {
//		return this.longitude;
//	}
//
//	public void setLongitude(String longitude) {
//		this.longitude = longitude;
//	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOffline() {
		return this.offline;
	}

	public void setOffline(String offline) {
		this.offline = offline;
	}

	public String getOrgCode() {
		return this.orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getPointNo() {
		return this.pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getRouteId() {
		return this.routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}

	public String getRouteName() {
		return this.routeName;
	}

	public void setRouteName(String routeName) {
		this.routeName = routeName;
	}

//	public String getSaveGps() {
//		return this.saveGps;
//	}
//
//	public void setSaveGps(String saveGps) {
//		this.saveGps = saveGps;
//	}

	public Integer getShotMaxNumber() {
		return this.shotMaxNumber;
	}

	public void setShotMaxNumber(Integer shotMaxNumber) {
		this.shotMaxNumber = shotMaxNumber;
	}

	public Integer getShotMinNumber() {
		return this.shotMinNumber;
	}

	public void setShotMinNumber(Integer shotMinNumber) {
		this.shotMinNumber = shotMinNumber;
	}

//	public String getUsuallyShot() {
//		return this.usuallyShot;
//	}
//
//	public void setUsuallyShot(String usuallyShot) {
//		this.usuallyShot = usuallyShot;
//	}

	public boolean getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(boolean isDelete) {
		this.isDelete = isDelete;
	}

	public String getChargePersonId() {
		return chargePersonId;
	}

	public void setChargePersonId(String chargePersonId) {
		this.chargePersonId = chargePersonId;
	}

	public String getCatalogName() {
		return catalogName;
	}

	public void setCatalogName(String catalogName) {
		this.catalogName = catalogName;
	}
	
	public Integer getFloor() {
		return floor;
	}

	public void setFloor(Integer floor) {
		this.floor = floor;
	}

	public void setDelete(boolean isDelete) {
		this.isDelete = isDelete;
	}

	

}
